%define version 1.99.0
%define release %mkrel 3

%define lib_major 0
%define libname_basic glimmer-control
%define libname %mklibname %{libname_basic} %{lib_major}

%define req_bonoboui_version	2.3.3
%define req_bonobo_version	2.3.4
%define req_eel_version		2.3.6
%define req_gnomeprintui_version 2.3.1
%define req_gnome_version	2.3.3
%define req_gnomevfs_version	2.3.5
%define req_gtk_version		2.2.2
%define req_libglade_version	2.0.1
%define req_gtksourceview_version 0.5.0

Summary:	Glimmer is a bonobo editor component for GNOME
Name:		glimmer
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://glimmer.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.99.0-schemas.patch.bz2
# (fc) 1.99.0-2mdk don't disable deprecated API
Patch1:		glimmer-1.99.0-deprecated.patch.bz2
# (fc) 1.99.0-3mdv disable Werror
Patch2:		glimmer-1.99.0-fixwerror.patch.bz2

BuildRequires:	libbonobo2_x-devel >= %{req_bonobo_version}
BuildRequires:	libbonoboui2-devel >= %{req_bonoboui_version}
BuildRequires:	eel-devel >= %{req_eel_version}
BuildRequires:	libglade2.0-devel >= %{req_libglade_version}
BuildRequires:	libgnomeprintui2-2-devel >= %{req_gnomeprintui_version}
BuildRequires:	libgnomeui2-devel >= %{req_gnome_version}
BuildRequires:	libgnome-vfs2-devel >= %{req_gnomevfs_version}
BuildRequires:	gtk+2-devel >= %{req_gtk_version}
BuildRequires:	libgtksourceview-1.0-devel >= %{req_gtksourceview_version}
BuildRequires:	libxml2-devel >= %{req_libxml2_version}
Requires:	%{libname} = %{version}-%{release}

%description
Glimmer is a bonobo editor component based on GtkSourceView for
displaying syntax-highlighted documents.

%package	-n %{libname}
Summary:	Glimmer is a bonobo editor component for GNOME
Group:		System/Libraries
Provides:	lib%{libname_basic} = %{version}-%{release}

%description	-n %{libname}
Glimmer is a bonobo editor component based on GtkSourceView for
displaying syntax-highlighted documents.  
This package contains main libraries needed for glimmer component.

%package	-n %{libname}-devel
Summary:	Development files of glimmer
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{libname_basic}-devel = %{version}-%{release}

%description	-n %{libname}-devel
Glimmer is a bonobo editor component based on GtkSourceView for
displaying syntax-highlighted documents.
This package contains static library and other development files
of glimmer.


%prep
%setup -q
%patch0 -p1 -b .fix-schemas
%patch1 -p1 -b .deprecated
%patch2 -p1 -b .fixwerror

#needed by patch1
aclocal-1.4
automake-1.4

#needed by patch2
autoconf

%build
%configure2_5x
%make

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%define gettext_package glimmer-too
%{find_lang} %{gettext_package}

%post
%post_install_gconf_schemas glimmer

%preun
%preun_uninstall_gconf_schemas glimmer

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc COPYING NEWS
%{_datadir}/%{name}
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/idl/*
%{_libdir}/bonobo/servers/*.server
%{_sysconfdir}/gconf/schemas/*.schemas

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog COPYING TODO
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%changelog
* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-3mdv2007.0
- Rebuild with latest dependencies
- use macros
- Patch2: don't set -Werror

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.0-2mdk
- Patch1: don't disable deprecated call
- fix schema uninstall

* Thu Aug 21 2003 Abel Cheung <deaddog@deaddog.org> 1.99.0-1mdk
- 1.99.0, this is a bonobo component now, thus spec is rewritten
- Patch0: Fix schemas with <list> type

* Sat Aug 09 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2.1-4mdk
- rebuild for new python
- fix command in menu item

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.1-3mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- cosmetics
- drop redundant buildrequires

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-2mdk
- build release

* Tue Jan 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1: the :Who's the wanker that broke the file selector?" release.
  (scheesh, what a name... ;p ).
  
* Mon Jan 14 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.12-2mdk
- BuildRequires

* Thu Jan 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.12-1mdk
- new release

* Sun Jan 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.9-4mdk
- rebuild for new python

* Tue Oct 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.9-3mdk
- build release

* Sun Oct 21 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.9-2mdk
- BuildRequires: pop-devel
- Removed redundant BuildRequires

* Thu Oct 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.9-1mdk
- new version
- fix regex
- Provides:   CodeCommander, latte

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-2mdk
- made my own icons since baddadou won't

* Mon Jul 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Tue Jul 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Sun Jul 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5 aka "Whatever tomorrow brings...".

* Thu Jul 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-2mdk
- BuildRequires:	db1-devel
- BuildRequires:	GConf-devel
- BuildRequires:	gdk-pixbuf-devel
- BuildRequires:	gnome-print-devel	
- BuildRequires:	gnome-vfs-devel	
- BuildRequires:	libxml-devel
- BuildRequires:	pygtk-devel
- BuildRequires:	python-devel	
- Remove BuildRequires:	audiofile-devel
- Remove BuildRequires:	esound-devel
- Remove BuildRequires:	imlib-devel
- Remove BuildRequires:	XFree86-devel
- Remove BuildRequires:	zlib-devel

* Sun Jul 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-1mdk
- Push out the new and shiny 1.0.3.
- There is no longer any need for the link-with-lutil-patch.

* Fri Jun 29 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- fix requires

* Mon Apr 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new version
- adapt patches

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.1-1mdk
- put a new and shiny glimmer out for consumption.
- add a url in the source tag.

* Mon Feb 5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0-2mdk
- patch to configure.in to add -lutil to PY_LIBS 

* Tue Nov 14 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-1mdk
- new version
- %%find_lang
- various spec cleaning

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- new in contribs

